Notices


Reply
Thread Tools
Posts: 223 | Thanked: 323 times | Joined on Dec 2010
#1
Mapsi is a WMS (Web Map Service) client for WMS servers that support EPSG:3067, EPSG:3006 (from version 3.5.1 onwards), EPSG:3045(EPSG:32633) (from version 3.5.5 onwards) or EPSG:900913 (from version 4.0.0 onwards) coordinate system.

User guide

Features
* Downloading and viewing map tiles
* Saving map tiles to database for offline use
* GPS support
* Landmarks support
* Support for map layers

Feedback is welcome.

Mapsi for Jolla/Sailfish
See this post.

Mapsi for N900
Latest version for N900 is 4.5.1, see this post.

Mapsi for N9/N950
Latest version for N9/N950 is 5.0.0, see this post for link and installation instructions.
Attached Images
    

Last edited by orava; 2014-04-29 at 18:48.
 

The Following 73 Users Say Thank You to orava For This Useful Post:
Posts: 317 | Thanked: 787 times | Joined on Oct 2009 @ Krakow, Poland
#2
After installing it from extras-devel the app does not start and it looks like some missing dependencies:

Code:
[3|user@Nokia-N900|/opt/usr/bin]./Mapsi
qrc:/qml/Main.qml:55:5: Type MapArea unavailable 
qrc:/qml/MapArea.qml:2:1: module "QtMobility.location" is not installed
 

The Following User Says Thank You to dwaradzyn For This Useful Post:
Posts: 223 | Thanked: 323 times | Joined on Dec 2010
#3
Originally Posted by dwaradzyn View Post
After installing it from extras-devel the app does not start and it looks like some missing dependencies:

Code:
[3|user@Nokia-N900|/opt/usr/bin]./Mapsi
qrc:/qml/Main.qml:55:5: Type MapArea unavailable 
qrc:/qml/MapArea.qml:2:1: module "QtMobility.location" is not installed
Yes it indeed seems that I have forgotten libqtm-11-declarative package from dependencies list. Installing that should fix that problem.
 
Posts: 156 | Thanked: 257 times | Joined on May 2010 @ Finland
#4
Great! Now it works!

Feedback: PC version will be also good for selecting map tiles. But maybe you should have settings option with automatically loading tiles with selected layers and user selected radius (on Maemo) ?

Real estate boundaries and identifiers on map would be also useful for hunters etc. Is it difficult to add some or all other services from paikkatietoikkuna.fi ?

Last edited by Metsämies; 2011-05-14 at 03:15.
 
Posts: 13 | Thanked: 2 times | Joined on May 2011 @ Finland
#5
Originally Posted by orava View Post
Yes it indeed seems that I have forgotten libqtm-11-declarative package from dependencies list. Installing that should fix that problem.
Installing libqtm-11-declarative package fix my black screen problem (same error as dwaradzyn). Thanks orava.

Last edited by hyrra; 2011-05-14 at 10:09.
 
Posts: 223 | Thanked: 323 times | Joined on Dec 2010
#6
Originally Posted by Metsämies View Post
Feedback: PC version will be also good for selecting map tiles. But maybe you should have settings option with automatically loading tiles with selected layers and user selected radius (on Maemo) ?
You can download map tiles from specified area and layer by selecting the icon that that looks like a map from the settings menu(the lowest icon). Clicking the button that says "Make map mode" will change mode to "Download only mode" and after that you can select layer and area from which tiles are downloaded. Downloading can be aborted by long pressing the same map icon in the settings menu.

Real estate boundaries and identifiers on map would be also useful for hunters etc.
I was thinking of adding support for these in the next version.
 

The Following User Says Thank You to orava For This Useful Post:
Posts: 68 | Thanked: 6 times | Joined on Feb 2010
#7
Originally Posted by orava View Post
Yes it indeed seems that I have forgotten libqtm-11-declarative package from dependencies list. Installing that should fix that problem.
Hello! Where can I download that missing libqtm package? Cant find it in extras-devel.....

Found it, but what is right version?

Last edited by copperviking; 2011-05-19 at 10:13.
 
Posts: 2 | Thanked: 0 times | Joined on May 2011
#8
Great to have topo maps back to n900!
This is 10+ program if i could figure out how to
get all Finland maps straight to n900 memory...? I use maps
lot without 3g network.. And it would be possible to
use without data packet(via bluetooth gps)
 
Posts: 68 | Thanked: 6 times | Joined on Feb 2010
#9
Why cant I install libqtm-11-declarative package? What version should it be? Can somebody help?
 
Posts: 2 | Thanked: 0 times | Joined on May 2011
#10
1. sudo gainroot

2. apt-get install libqtm-11-declarative
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 17:50.